Subject: Re: a$ TermName in SUBTRACT

From: Chanchal Hassija <[email-masked]>
Date: Tue, 31 Oct 2000 14:37:57 +0530

Hi John,

The current text does allow a$ as it says that Subtract command is allowed only
on exisitng terminations.  And a$ is a termination (physical or ephemeral) which
exists, but $ is a termination which does not exist...(yet)...

> > > > For Subtract command-- the protocol says -- " Use of CHOOSE
> > > > in TerminationID is
> > > > an error as the Subtract command may only be used on existing
> > > > Terminations" as
> > > > given in 7.2.3

Njoy
Chanchal....

John Segers <[email-masked]> on 10/31/2000 01:18:47 PM

Please respond to John Segers <[email-masked]>

To:   [email-masked]
cc:    (bcc: Chanchal Hassija/HSS)

Subject:  Re: a$ TermName in SUBTRACT

All,

If the majority thinks that we need this feature, then we have to change
the text.  The current text clearly does not allow TerminationID a$ for
a Subtract.

I don't see a reason to allow the use CHOOSE in the TerminationID of a
Subtract command myself.  All it does is allow the MGC to have the MG
flip a coin instead of flipping the coin itself before sending the
command.

Cheers,

John

Tom-PT Taylor wrote:
>
> I would side with Brian on this one.  In fact, I can think of some uses for
> the a$ construct.
>
> > -----Original Message-----
> > From: John Segers [mailto:[email-masked]]
> > Sent: Monday, October 30, 2000 9:40 AM
> > To: [email-masked]
> > Subject: Re: a$ TermName in SUBTRACT
> >
> >
> > Brian, Chanchal
> >
> > The way I always interpreted the current text "The use of
> > CHOOSE in the
> > TerminationID is an error [...]" is that a$ is an error: the CHOOSE
> > character occurs in the TerminationID.  In my opinion no clarification
> > is needed.
> >
> > Cheers,
> >
> > John
> >
> > "Rosen, Brian" wrote:
> > >
> > > No, I think if the MGC wants to play Russian Roulette with
> > > termination IDs, we should let him!  Seriously, I don't think
> > > it's particularly useful, but I don't see why we have to
> > > prohibit it.  I'm not even sure why we have to prohibit
> > > straight CHOOSE by the same reasoning, but I don't want to modify
> > > the text now.
> > >
> > > Please note that a$ could refer to a physical termination, not
> > > just an ephemeral.
> > >
> > > Brian
> > >
> > > > -----Original Message-----
> > > > From: Chanchal Hassija [mailto:[email-masked]]
> > > > Sent: Monday, October 30, 2000 1:12 AM
> > > > To: [email-masked]
> > > > Subject: a$ TermName in SUBTRACT
> > > >
> > > >
> > > > Hello All,
> > > >
> > > > For Subtract command-- the protocol says -- " Use of CHOOSE
> > > > in TerminationID is
> > > > an error as the Subtract command may only be used on existing
> > > > Terminations" as
> > > > given in 7.2.3
> > > >
> > > > This seems to imply that TermID = $ which refers to ephemeral
> > > > Terminations
> > > > (which don't yet exist) is disallowed for Subtract command.
> > > > But TermID=a$ can be
> > > > used to Subtract any matching termination (a1, a2 etc) from
> > > > the context
> > > > specified.
> > > >
> > > > But this does not make much sense as MGC should be specific
> > > > in which Termination
> > > > it wants to remove in case all the terminations in the
> > > > context match a$.
> > > >
> > > > Do we agree on the statement that "Both $ as well as a$ are
> > > > invalid TermIDs for
> > > > Subtract". If Yes, we need a note somewhere in the
> > > > implementor's guide.
> > > >
> > > > Thanks
> > > > Chanchal....
> > > >
> >
> > --
> > John Segers                                  email: [email-masked]
> > Lucent Technologies                                        Room HE 303
> > Dept. Forward Looking Work                      phone: +31 35 687 4724
> > P.O. Box 18, 1270 AA  Huizen                      fax: +31 35 687 5954
> >

--
John Segers                                  email: [email-masked]
Lucent Technologies                                        Room HE 303
Dept. Forward Looking Work                      phone: +31 35 687 4724
P.O. Box 18, 1270 AA  Huizen                      fax: +31 35 687 5954

---

From: John Segers <[email-masked]>
Date: Tue, 31 Oct 2000 10:46:37 +0100

Chanchal,

I don't agree with you on the interpretation of the current text nor on
the interpretation of existence of terminations based on the use of
CHOOSE.

If a TerminationID contains a CHOOSE construct, it matches zero or more
TerminationIDs.  Whether these exist depends on the fact if they are
ephemeral or physical.  It does not depend on the fact whether the
TerminationID requested by the MGC equals CHOOSE ($) or is partially
specified (a$).

Looking at the text for Subtract it really does read "Use of CHOOSE in
TerminationID is an error [...]", not "Use of CHOOSE AS the
TerminationID is an error [...]".

The intention of CHOOSE has always been to allow the MG to select an
available resource (selecting a physical termination in the NULL
context, selecting a free UDP port, ...) or selecting a property value
(a ContextID, a TerminationID for an ephemeral termination, ...).  How
does using CHOOSE in the TerminationID for a Subtract command fit into
this picture?

Cheers,

John